Bug 1739333 - sub-team member doesnt have edit rights
Summary: sub-team member doesnt have edit rights
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 5.0-RH7
Assignee: Jeff Fearn 🐞
QA Contact: Lianghui Yu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-09 04:35 UTC by Jeff Fearn 🐞
Modified: 2019-09-10 22:20 UTC (History)
1 user (show)

Fixed In Version: 5.0.4-rh29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 22:20:09 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2019-08-09 04:35:34 UTC
Description of problem:
Someone who is only a member of a sub-team does not have edit rights on a component with a default pool from another team.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Easy

Steps to Reproduce:
1. Set up default pool as a pool from Team A
2. Add team B as sub-team
3. visit component management page as someone who is in team B and not in team A

Actual results:
User cannot edit their components

Expected results:
User can edit their components.

Additional info:
If the default pool isn't set or the user is a member of team A, then they will be able to edit.

Comment 1 Lianghui Yu 2019-08-09 06:01:18 UTC
A user with sub team membership is able to edit the attributes, And those users can actually edit sub team as well.
It results user to ban themself from further edit that component, privilege is checked when save, so not a big issue.
Result: PASS

Comment 3 Jeff Fearn 🐞 2019-09-08 22:18:49 UTC
This change has been deployed to the pre-production infrastructure at https://partner-bugzilla.redhat.com

Comment 4 Jeff Fearn 🐞 2019-09-10 22:20:09 UTC
This change is now live. If there are any issues, do not reopen this
bug. Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.